跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support
This is the documentation of 25.6.2, which is no longer the latest release. See the latest release.

Get a single label

GET
/repos/{owner}/{repo}/labels/{id}
curl --request GET \
--url https://gitea.example.com/api/v1/repos/example/example/labels/1 \
--header 'Authorization: Basic <credentials>'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

id
required
integer format: int64

Id of the label to get

Label

Media typeapplication/json

Label a label to an issue or a pr

object
color
string
description

Description provides additional context about the label’s purpose

string
exclusive
boolean
id

ID is the unique identifier for the label

integer format: int64
is_archived
boolean
name

Name is the display name of the label

string
url

URL is the API endpoint for accessing this label

string
Example
{
"color": "00aabb",
"exclusive": false,
"is_archived": false
}

APINotFound is a not found empty response

Media typeapplication/json